Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Updated several gem dependencies, switched to Bundler 1.0.0.rc.5, upd…

…ated Rails to 3.0.0.rc
  • Loading branch information...
commit fde270641fe8d26c2f2a1e280f7c53a69327b260 1 parent e4c0d67
@nbibler nbibler authored
View
4 Gemfile
@@ -1,7 +1,7 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.0.beta4'
-gem 'friendly_id', '>= 3.1.0.pre'
+gem 'rails', '3.0.0.rc'
+gem 'friendly_id', '3.1.3'
gem 'rack-response-signature', :require => 'rack/response_signature'
gem 'sqlite3-ruby', :require => 'sqlite3', :group => [:test, :development]
View
196 Gemfile.lock
@@ -1,108 +1,88 @@
----
-dependencies:
- pg:
- group:
- - :production
- version: ">= 0"
- rails:
- group:
- - :default
- version: = 3.0.0.beta4
- sqlite3-ruby:
- group:
- - :test
- - :development
- version: ">= 0"
- require:
- - sqlite3
- shoulda:
- group:
- - :test
- version: ">= 0"
- rack-response-signature:
- group:
- - :default
- version: ">= 0"
- require:
- - rack/response_signature
- mocha:
- group:
- - :test
- version: ">= 0"
- friendly_id:
- group:
- - :default
- version: ">= 3.1.0.pre"
- factory_girl:
- group:
- - :test
- version: ">= 0"
-specs:
-- rake:
- version: 0.8.7
-- abstract:
- version: 1.0.0
-- activesupport:
- version: 3.0.0.beta4
-- builder:
- version: 2.1.2
-- i18n:
- version: 0.4.1
-- activemodel:
- version: 3.0.0.beta4
-- erubis:
- version: 2.6.6
-- rack:
- version: 1.1.0
-- rack-mount:
- version: 0.6.9
-- rack-test:
- version: 0.5.4
-- tzinfo:
- version: 0.3.22
-- actionpack:
- version: 3.0.0.beta4
-- mime-types:
- version: "1.16"
-- polyglot:
- version: 0.3.1
-- treetop:
- version: 1.4.8
-- mail:
- version: 2.2.5
-- actionmailer:
- version: 3.0.0.beta4
-- arel:
- version: 0.4.0
-- activerecord:
- version: 3.0.0.beta4
-- activeresource:
- version: 3.0.0.beta4
-- babosa:
- version: 0.1.0
-- bundler:
- version: 0.9.26
-- factory_girl:
- version: 1.3.1
-- friendly_id:
- version: 3.1.0.pre
-- mocha:
- version: 0.9.8
-- pg:
- version: 0.9.0
-- rack-response-signature:
- version: 0.1.0
-- thor:
- version: 0.13.8
-- railties:
- version: 3.0.0.beta4
-- rails:
- version: 3.0.0.beta4
-- shoulda:
- version: 2.11.1
-- sqlite3-ruby:
- version: 1.3.1
-hash: a6f19af319d667d5c582b64166a922777a0ececa
-sources:
-- Rubygems:
- uri: http://rubygems.org
+GEM
+ remote: http://rubygems.org/
+ specs:
+ abstract (1.0.0)
+ actionmailer (3.0.0.rc)
+ actionpack (= 3.0.0.rc)
+ mail (~> 2.2.5)
+ actionpack (3.0.0.rc)
+ activemodel (= 3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ builder (~> 2.1.2)
+ erubis (~> 2.6.6)
+ i18n (~> 0.4.1)
+ rack (~> 1.2.1)
+ rack-mount (~> 0.6.9)
+ rack-test (~> 0.5.4)
+ tzinfo (~> 0.3.22)
+ activemodel (3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ builder (~> 2.1.2)
+ i18n (~> 0.4.1)
+ activerecord (3.0.0.rc)
+ activemodel (= 3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ arel (~> 0.4.0)
+ tzinfo (~> 0.3.22)
+ activeresource (3.0.0.rc)
+ activemodel (= 3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ activesupport (3.0.0.rc)
+ arel (0.4.0)
+ activesupport (>= 3.0.0.beta)
+ babosa (0.1.1)
+ builder (2.1.2)
+ erubis (2.6.6)
+ abstract (>= 1.0.0)
+ factory_girl (1.3.2)
+ friendly_id (3.1.3)
+ babosa (>= 0.1.0)
+ i18n (0.4.1)
+ mail (2.2.5)
+ activesupport (>= 2.3.6)
+ mime-types
+ treetop (>= 1.4.5)
+ mime-types (1.16)
+ mocha (0.9.8)
+ rake
+ pg (0.9.0)
+ polyglot (0.3.1)
+ rack (1.2.1)
+ rack-mount (0.6.9)
+ rack (>= 1.0.0)
+ rack-response-signature (0.1.0)
+ rack-test (0.5.4)
+ rack (>= 1.0)
+ rails (3.0.0.rc)
+ actionmailer (= 3.0.0.rc)
+ actionpack (= 3.0.0.rc)
+ activerecord (= 3.0.0.rc)
+ activeresource (= 3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ bundler (>= 1.0.0.rc.1)
+ railties (= 3.0.0.rc)
+ railties (3.0.0.rc)
+ actionpack (= 3.0.0.rc)
+ activesupport (= 3.0.0.rc)
+ rake (>= 0.8.3)
+ thor (~> 0.14.0)
+ rake (0.8.7)
+ shoulda (2.11.3)
+ sqlite3-ruby (1.3.1)
+ thor (0.14.0)
+ treetop (1.4.8)
+ polyglot (>= 0.3.1)
+ tzinfo (0.3.22)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ factory_girl
+ friendly_id (= 3.1.3)
+ mocha
+ pg
+ rack-response-signature
+ rails (= 3.0.0.rc)
+ shoulda
+ sqlite3-ruby
View
2  Rakefile
@@ -4,4 +4,4 @@
require File.expand_path('../config/application', __FILE__)
require 'rake'
-Rails::Application.load_tasks
+Keymaster::Application.load_tasks
View
3  config/environments/development.rb
@@ -16,4 +16,7 @@
# Don't care if the mailer can't send
config.action_mailer.raise_delivery_errors = false
+
+ # Print deprecation notices to the Rails logger
+ config.active_support.deprecation = :log
end
View
5 config/environments/production.rb
@@ -29,7 +29,7 @@
# Disable Rails's static asset server
# In production, Apache or nginx will already do this
- config.serve_static_assets = true
+ config.serve_static_assets = false
# Enable serving of images, stylesheets, and javascripts from an asset server
# config.action_controller.asset_host = "http://assets.example.com"
@@ -44,5 +44,6 @@
# the I18n.default_locale when a translation can not be found)
config.i18n.fallbacks = true
- config.middleware.use 'Rack::ResponseSignature', ENV['PRIVATE_SIGNING_KEY']
+ # Send deprecation notices to registered listeners
+ config.active_support.deprecation = :notify
end
View
3  config/environments/test.rb
@@ -29,4 +29,7 @@
# This is necessary if your schema can't be completely dumped by the schema dumper,
# like if you have constraints or database-specific column types
# config.active_record.schema_format = :sql
+
+ # Print deprecation notices to the stderr
+ config.active_support.deprecation = :stderr
end
View
2  config/initializers/inflections.rb
@@ -1,6 +1,6 @@
# Be sure to restart your server when you modify this file.
-# Add new inflection rules using the following format
+# Add new inflection rules using the following format
# (all these examples are active by default):
# ActiveSupport::Inflector.inflections do |inflect|
# inflect.plural /^(ox)$/i, '\1en'
View
1  config/initializers/response_signature.rb
@@ -0,0 +1 @@
+Keymaster::Application.config.middleware.use 'Rack::ResponseSignature', ENV['PRIVATE_SIGNING_KEY'] if Rails.env.production?
View
2  config/initializers/secret_token.rb
@@ -4,4 +4,4 @@
# If you change this key, all old signed cookies will become invalid!
# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
-Rails.application.config.secret_token = 'a29128707789ffbd5327ada1a5ce0de5f96fd283c0cf81642f21b3873f33208490ad546ec70b3d6d59a481b4f9ad73a593605e24ac2d5af5b3a90c64fae7c346'
+Keymaster::Application.config.secret_token = 'a29128707789ffbd5327ada1a5ce0de5f96fd283c0cf81642f21b3873f33208490ad546ec70b3d6d59a481b4f9ad73a593605e24ac2d5af5b3a90c64fae7c346'
View
4 config/initializers/session_store.rb
@@ -1,8 +1,8 @@
# Be sure to restart your server when you modify this file.
-Rails.application.config.session_store :cookie_store, :key => '_keymaster_session'
+Keymaster::Application.config.session_store :cookie_store, :key => '_keymaster_session'
# Use the database for sessions instead of the cookie-based default,
# which shouldn't be used to store highly confidential information
# (create the session table with "rake db:sessions:create")
-# Rails.application.config.session_store :active_record_store
+# Keymaster::Application.config.session_store :active_record_store
Please sign in to comment.
Something went wrong with that request. Please try again.